%define upstream_name    MooseX-Storage
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A custom meta-attribute-trait to bypass serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.50.0

BuildConflicts: cpanminus

BuildArch:  noarch

%description
MooseX::Storage is a serialization framework for Moose, it provides a very
flexible and highly pluggable way to serialize Moose classes to a number of
different formats and styles.

Important Note
    This is still an early release of this module, so use with caution.
    It's outward facing serialization API should be considered stable, but
    I still reserve the right to make tweaks if I need too. Anything beyond
    the basic pack/unpack, freeze/thaw and load/store should not be relied
    on.

Levels of Serialization
    There are 3 levels to the serialization, each of which builds upon the
    other and each of which can be customized to the specific needs of your
    class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-2.mga4
+ Revision: 534384
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 sander85 <sander85> 0.430.0-1.mga4
+ Revision: 477551
- update to 0.43

* Mon Sep 09 2013 sander85 <sander85> 0.420.0-1.mga4
+ Revision: 476583
- update to 0.42

* Sun Sep 08 2013 sander85 <sander85> 0.410.0-1.mga4
+ Revision: 476052
- update to 0.41

* Sat Jul 27 2013 sander85 <sander85> 0.390.0-1.mga4
+ Revision: 459081
- update to 0.39

* Fri Jul 19 2013 sander85 <sander85> 0.350.0-1.mga4
+ Revision: 456249
- update to 0.35

* Wed Jun 26 2013 jquelin <jquelin> 0.340.0-1.mga4
+ Revision: 447055
- update to 0.34

* Fri Jun 07 2013 jquelin <jquelin> 0.330.0-1.mga4
+ Revision: 439624
- update to 0.33

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-2.mga3
+ Revision: 370309
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.320.0-1.mga3
+ Revision: 342430
- update to 0.32

* Mon Mar 05 2012 jquelin <jquelin> 0.310.0-1.mga2
+ Revision: 218770
- update to 0.31

* Wed Jun 15 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 107150
- update to 0.30

* Wed Jan 26 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 40733
- mageia rebuild
- imported package perl-MooseX-Storage

